package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF930Data {

    private Map<String, Object> params;
    
    public MWF930Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsIsin() {
        return (String) params.get("RS_ISIN");
    }

    public String rsNazevisin() {
        return (String) params.get("RS_NAZEVISIN");
    }

    public java.util.Date rsDatum() {
        return (java.util.Date) params.get("RS_DATUM");
    }

    public String rsPozadovanahodnota() {
        return (String) params.get("RS_POZADOVANAHODNOTA");
    }

    public Double rsVypoctenahodnota() {
        return (Double) params.get("RS_VYPOCTENAHODNOTA");
    }

    public String rsMena() {
        return (String) params.get("RS_MENA");
    }

    public String rsNazevmena() {
        return (String) params.get("RS_NAZEVMENA");
    } 

}
